# Telemetry Instance template

Telemetry instances are defined using a YAML manifest with the following structure:

{% code lineNumbers="true" %}

```yaml
provider: Provider Name
config:
  providerSpecificConfig1: "<value>"
  providerSpecificConfig2: 123
metrics:
- name: metric_name
  datasourceName: datsource_metric_name
  labels:
    - label1
    - label2
  staticLabels:
    staticLabel1: staticValue1
    staticLabel2: staticValue2
```

{% endcode %}

with the following properties for the global section

| Name       | Type   | Description                                                                                                                                                    | Mandatory |
| ---------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------- |
| `provider` | string | The name of the Telemetry Provider                                                                                                                             | Yes       |
| `config`   | object | Provider-specific configuration in a key-value format (see specific provider documentation for details)                                                        | Yes       |
| `metrics`  | object | This section is used to specify the metrics to extract. This section is specific for each Telemetry Provider (see specific provider documentation for details) | No        |

and the metrics section

| Name             | Type                   | Description                                                                                                                                                                                    | Mandatory |
| ---------------- | ---------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------- |
| `name`           | string                 | <p>Name of the metric in Akamas.</p><p>This metric must exists in at least one of the referred by the System associated with the Telemetry Provider Instance</p>                               | Yes       |
| `datasourceName` | string                 | Name of the metric (or extraction query) in the data source. The value of this parameter is specific to the data source.                                                                       | Yes       |
| `labels`         | List of strings        | List of labels. For the specific usage of this parameter, see the documentation of the specific Telemetry Provider                                                                             | No        |
| `staticLabels`   | List of key-value pair | List of Key-Value pairs that are interpreted as a pair of labels name and value. This "static labels" are copied directly in each sample of the specific metric and sent to the Metric Service | No        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.1.3/akamas-reference/construct-templates/telemetry-instance-template.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
